Get Proxy User List Options
This endpoint returns a list of all active proxy users on the customer’s account, along with a boolean flag indicating whether each proxy user has access to export/use the specified proxies based on their access type and ACL rules.
Access Logic:
- Unrestricted (all): Proxy user has access to all proxies on the account
- Service Restricted: Proxy user has access only if they have ACL entries for all services containing the specified proxies
- Proxy Restricted: Proxy user has access only if they have ACL entries for all specified proxies
Note: This endpoint is intentionally a POST request (rather than GET) to support large lists of proxy IDs in the request body.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Headers
Content type for the request body as application/json.
Body
List of proxy UUIDs to check access against. Either proxy_ids or search_filter must be provided, but not both.
[
"19efadd4-5814-4986-90be-4460e7d05c29",
"1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3"
]Search filter object to find proxies (same format as /proxy/list_by_search endpoint). Either proxy_ids or search_filter must be provided, but not both.
{
"country_id": "US",
"proxy_status": "in_use",
"service_id": "API-1234-5678"
}
